> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Shipping Inclusion Rule

> Updates an existing shipping inclusion rule



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json put /commerce/shipping/admin/profiles/{profilecode}/rules/shippinginclusions/{id}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/profiles/{profilecode}/rules/shippinginclusions/{id}:
    put:
      tags:
        - ShippingProfile
      summary: Update Shipping Inclusion Rule
      description: Updates an existing shipping inclusion rule
      parameters:
        - in: path
          name: profilecode
          required: true
          schema:
            type: string
        - in: path
          name: id
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShippingInclusionRule'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShippingInclusionRule'
            text/json:
              schema:
                $ref: '#/components/schemas/ShippingInclusionRule'
            text/plain:
              schema:
                $ref: '#/components/schemas/ShippingInclusionRule'
          description: Success
components:
  schemas:
    ShippingInclusionRule:
      description: >-
        An object to bind service types to shipping target rules and/or product
        target rules
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        id:
          description: The system generated id of this shipping inclusion rule
          nullable: true
          type: string
        productTargetRuleCodes:
          description: "the product target rule codes associated with this rule\r\n<remarks>leave empty or null to denote all products</remarks>"
          items:
            type: string
          nullable: true
          type: array
        sequence:
          description: The sequence in which this rule is preferred over others
          format: int32
          type: integer
        serviceTypes:
          description: "the servicetypes associated with this rule\r\n<remarks>leave empty or null to denote all carriers and subsequent service types</remarks>"
          items:
            $ref: '#/components/schemas/ServiceType'
          nullable: true
          type: array
        shippingTargetRuleCodes:
          description: "The shipping target rule codes associated with this rule\r\n<remarks>leave empty or null to denote all destinations</remarks>"
          items:
            type: string
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    ServiceType:
      description: Service Type aka Shipping Method
      properties:
        code:
          description: Unique Service Type Code for a particular Carrier
          nullable: true
          type: string
        content:
          $ref: '#/components/schemas/ServiceTypeLocalizedContent'
        deliveryDuration:
          nullable: true
          type: string
      type: object
    ServiceTypeLocalizedContent:
      properties:
        localeCode:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````